[darcs-users] linking fails (--with-wx)

David Roundy droundy at abridgegame.org
Sat Mar 27 12:48:07 UTC 2004


On Fri, Mar 26, 2004 at 08:05:32PM +0100, Gour wrote:
> David Roundy (droundy at abridgegame.org) wrote:
> 
> > No, obviously there is a wrong LDFLAGS variable or something like that, but
> > I have no idea what it would be.  I'm uploading now a patch that adds a
> > rudimentary check to the configure script to make sure that wxhaskell is
> > actually properly installed, and would be interested what it tells you
> > (but am not very optimistic--the test doesn't actually *use* wxhaskell, it
> > just imports the module).
> 
> checking whether to use wxhaskell... yes
> checking for module Graphics.UI.WX... not in wxhaskell

Ooops... I should have checked in module wx, not module wxhaskell.  :(
Will have a replacement patch on the way...

> > The trouble is that I don't have wxhaskell installed any more, since it's a
> > bit of a pain keeping it working.  I think I stopped when wxhaskell
> > didn't support ghc 6.2, although I understand that's fixed now.
> 
> OK. It means that route with wxhaskell is not recommended at the moment.

Well, it's not the best-supported build option, but I'm definitely happy to
have users try it.  Basically, I think wxhaskell needs to stabilize a bit
before it's worth developing with.  On the other hand, I haven't tried the
latest wxhaskell, so maybe it *has* stabilized at a bit...
-- 
David Roundy
http://www.abridgegame.org




More information about the darcs-users mailing list